Eclipse Draw2d 3.3

## org.eclipse.draw2d
Class ActionEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.draw2d.ActionEvent

All Implemented Interfaces:
  java.io.Serializable

public class ActionEvent
extends java.util.EventObject

An event that occurs as a result of an action being performed.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ActionEvent(java.lang.Object source)` Constructs a new ActionEvent with source as the source of the event.
`ActionEvent(java.lang.Object source, java.lang.String name)` Constructs a new ActionEvent with source as the source of the event and name as the name of the action that was performed.

Method Summary
`java.lang.String` `getActionName()` Returns the name of the action that was performed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionEvent

    public ActionEvent(java.lang.Object source)

  Constructs a new ActionEvent with source as the source of the event.

Parameters:
  `source` - The source of the event

### ActionEvent

    public ActionEvent(java.lang.Object source,
                       java.lang.String name)

  Constructs a new ActionEvent with source as the source of the event and name as the name of the action that was performed.

Parameters:
  `source` - The source of the event
  `name` - The name of the action

Method Detail

### getActionName

    public java.lang.String getActionName()

  Returns the name of the action that was performed.

  Returns:
    String The name of the action

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.